## dlocate 0.5-0.1

=== Makefile ===
#! /usr/bin/make -f

all:

clean: 

install:
	install -m 755 dlocate $(DESTDIR)/usr/bin/
	install -m 755 update-dlocatedb $(DESTDIR)/usr/sbin/
	#install -m 755 update-dpkg-list $(DESTDIR)/usr/sbin/

=== debian/changelog ===
dlocate (0.5-0.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * NMU, Craig Sanders seems to have lost his interest in this package,
    last upload was in 1999.
  * Upload sponsored by Thom May <thom@debian.org>.
  * cron job conditional on package being installed (Closes: #83196, #54073)
  * remove /var/lib/dlocate on purge (Closes: #63902)
  * work with long package names. Patch from Peter Samuelson, modified to
    limit length of output to $COLUMNS characters
    (Closes: #84018, #67650, #78621)
  * Patch for #84018 adds "Hold" to the list of desired states, too.
   (Closes: #132930)
  * dpkg -ls works with packages containing many files (use xargs),
    patch from Peter Samuelson (Closes: #91785)
  * Works with slocate, using dpkg-divert --truename, patch from Robert
    Luberda, depend on dpkg 1.8.0, drop superfluous versioned conflicts
    on very old dpkg. Once this is uploaded I'll ask the slocate-maintainer
    to remove the "Conflicts: dlocate".
    (Closes: #100694, #101426, #129251) 
  * depend on perl. (Closes: #132931)
  * Use nice quotation marks in dlocate(1) (Closes: #129186)
  * Add manpage for update-dlocatedb.8 (Closes: #76149)
  * dlocate -l already mimics dpkg -l good enough
    (Closes: #43145, #43146, #45057)
  * fix lintian warnings:
    findutils and bash are essential, depending on them is wrong
    copyright: fix location of GPL
    update-dlocatedb has no manpage.
    Add versioned Build-Depends-Indep: debhelper >= 3.0.0 (dh_installmanpages)
    Bump standards-version.
  * update debian/rules from dh_make-template
  * Use dh_installman instead of dh_installmanpages.
  * Use DH_COMPAT=3, get rid of debian/conffiles.
  * update dlocate(1)
  * -l uses egrep and accepts extended re, document it in manpage.
  * Old bug was already fixed: Generate initial database asynchronously
    (Closes: #42314)

 -- Andreas Metzler <ametzler@downhill.at.eu.org>  Sun, 10 Mar 2002 09:44:16 +0100

dlocate (0.5) unstable; urgency=low
  * make /etc/cron.daily/dlocate a conffile.  (closes: 49458)
  * changed Depends: dpkg >= 1.4.1.10 to Conflicts: dpkg 1.4.1.[789] according
    to wichert's suggestion in bug 46614
  * add closes line to changelog for all the bugs that were closed
    in previous versions but i didn't get the closes syntax right:
    (closes: #43194 #45239 #46614 #45057, #43145, #43146  #42234 #42314 #42210 #42248)
   

 -- Craig Sanders <cas@taz.net.au>  Tue,  2 Nov 1999 19:01:27 +1100

dlocate (0.4) unstable; urgency=low
  * changed 'dpkg -l' to 'dpkg -l "*"' so that the list includes purged
    packages as well.

 -- Craig Sanders <cas@taz.net.au>  Tue,  2 Nov 1999 19:01:27 +1100

dlocate (0.3-1) unstable; urgency=low

  * replaced cron.d script /etc/cron.daily/dlocate (fixes #43194 #45239)
  * added dependency on dpkg >= 1.4.10, (fixes #46614)
  * added simplistic emulation of 'dpkg -l' (fixes #45057, #43145, #43146)
    NOTE: this is NOT the same as 'dpkg -l' and i will ignore bug reports
    which point out this obvious fact.  it is a simplistic emulation, not
    an exact clone.  IMO, it is more useful than 'dpkg -l'.  if you 
    disagree, then you are free to use the slower original.

 -- Craig Sanders <cas@taz.net.au>  Tue,  2 Nov 1999 17:05:56 +1100

dlocate (0.2-1) unstable; urgency=low

  * use a version of the fast perl script submitted by hallon@debian.org
    rather than make, sed, and perl. it even finishes the job faster than
    make can decide whether to update the dlocatedb file or not. (fixes #42234)
  * this makes it viable to build initial db in background (fixes #42314)
  * doesn't depend on make anymore.
  * depends on grep-dctrl >= 0.11 (fixes #42210)
  * updated dlocate man page (fixes #42248)

 -- Craig Sanders <cas@taz.net.au>  Tue,  3 Aug 1999 08:34:12 +1000

dlocate (0.1-8) unstable; urgency=low

  * added postinst to create /var/lib/dlocate/dlocatedb at install time (fixes #42120)

 -- Craig Sanders <cas@taz.net.au>  Fri, 30 Jul 1999 11:09:27 +1000

dlocate (0.1-7) unstable; urgency=low

  * bashisms in scripts, #!/bin/sh is bad - change to #!/bin/bash
  * fixed bashism in cron.d script, use >/dev/null not >&
  * wrote a man page for dlocate(1)

 -- Craig Sanders <cas@taz.net.au>  Thu, 22 Jul 1999 08:46:56 +1000

dlocate (0.1-6) unstable; urgency=low

  * really add dependency on make this time
  * add copyright (GPL)

 -- Craig Sanders <cas@taz.net.au>  Tue, 20 Jul 1999 11:15:48 +1000

dlocate (0.1-5) unstable; urgency=low

  * depends on grep-dctrl, not dpkg-awk
  * also depends on make
  * made it use /usr/bin/locate.old if it exists - solves incompatibility
    with slocate.

 -- Craig Sanders <cas@taz.net.au>  Tue, 20 Jul 1999 10:58:21 +1000

dlocate (0.1-4) unstable; urgency=low

  * fixed minor bug in dlocate option handling.  should be all done now.

 -- Craig Sanders <cas@taz.net.au>  Fri, 16 Jul 1999 12:45:04 +1000

dlocate (0.1-3) unstable; urgency=low

  * i'll get it right eventually - should be arch: all, not i386
  * touching the initial dlocatedb makes it fail an md5sum check,
    so modify /usr/lib/dlocate/Makefile instead

 -- Craig Sanders <cas@taz.net.au>  Fri, 16 Jul 1999 12:23:28 +1000

dlocate (0.1-2) unstable; urgency=low

  * touch initial /var/lib/dlocate/dlocatedb

 -- Craig Sanders <cas@taz.net.au>  Fri, 16 Jul 1999 12:06:07 +1000

dlocate (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Craig Sanders <cas@taz.net.au>  Wed, 23 Jun 1999 11:35:02 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dlocate
Section: utils
Priority: optional
Maintainer: Craig Sanders <cas@taz.net.au>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper (>= 3.0.0)

Package: dlocate
Architecture: all
Depends: grep-dctrl (>= 0.11), dpkg (>= 1.8.0), ${perl:Depends}
Description: fast alternative to dpkg -L and dpkg -S 
 uses GNU locate to greatly speed up finding out which package a file
 belongs to (i.e. a very fast dpkg -S). many other uses, including
 options to view all files in a package, calculate disk space used, view
 and check md5sums, list man pages, etc.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## dlocate 0.5-0.2

=== debian/changelog ===
dlocate (0.5-0.2) unstable; urgency=low

  * NMU to fix RC bug
  * Updated Standards version to 3.6.2.1
  * Use debhelper v5, Closes: #337711 - Puts link in /usr/doc
  * escape minus chars in man pages

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 25 Nov 2005 16:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Craig Sanders <cas@taz.net.au>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper (>= 3.0.0)
+Standards-Version: 3.6.2.1
+Build-Depends-Indep: debhelper (>= 5)
 
 Package: dlocate
 Architecture: all

## dlocate 0.5-0.3

=== debian/changelog ===
dlocate (0.5-0.3) unstable; urgency=low

  * Non-Maintainer Upload.
  * Updated Standards version to 3.7.2.1
  * Depend on dctrl-tools or grep-dctrl (Closes: #314276)
  * Remove -v from md5check routine so md5checking works with md5sum from
    textutils (Closes: #318980)
  * Change Build-Depends-Indep to Build-Depends since debhelper is called from
    the clean target, this makes dlocate lintian clean.
  * Apply patch from Sam Morris to return non-zero if a package is not
    installed (Closes: #123777, #322290, #213292, 364318)
  * Make database backups atomic (Closes: #372151)
  * Apply patch from Nicolas Fancios to fix typos in manpage (Closes: #271328)
  * Use capital letters in long description (Closes: #374475)
  * Fix typo in cron file (Closes: #243620)

 -- Jon Bernard <jbernard@debian.org>  Thu, 31 Aug 2006 13:11:16 -0400

=== debian/control ===
Source: dlocate
Section: utils
Priority: optional
Maintainer: Craig Sanders <cas@taz.net.au>
Standards-Version: 3.7.2.1
Build-Depends: debhelper (>= 5)

Package: dlocate
Architecture: all
Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), ${perl:Depends}
Description: fast alternative to dpkg -L and dpkg -S 
 Uses GNU locate to greatly speed up finding out which package a file
 belongs to (i.e. a very fast dpkg -S). Many other uses, including
 options to view all files in a package, calculate disk space used, view
 and check md5sums, list man pages, etc.

## dlocate 0.94

=== Makefile ===
#! /usr/bin/make -f

all:

clean: 
	rm -rf debian/dlocate debian/dlocate.substvars debian/files build-stamp install-stamp new.output

install:
	install -m 755 dlocate $(DESTDIR)/usr/bin/
	install -m 755 update-dlocatedb $(DESTDIR)/usr/sbin/
	install -m 755 dpkg-hold $(DESTDIR)/usr/sbin/
	install -m 755 dpkg-unhold $(DESTDIR)/usr/sbin/
	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/
	install -m 755 dpkg-purge $(DESTDIR)/usr/sbin/
	#install -m 755 update-dpkg-list $(DESTDIR)/usr/sbin/

update-test:
	./test-dlocate.sh > test.output 2>&1

test:
	./check-version-banner.sh
	./test-dlocate.sh > new.output 2>&1
	diff -u test.output new.output

=== debian/changelog ===
dlocate (0.94) unstable; urgency=low

  * optimisation for '-S' and 'DEFAULT' commands.  run locate once
    only with multiple filenames on the command line.  significantly
    faster when searching for multiple filenames.  slighly slower
    when searching for only one filename.
  * the optimisation also means that $result is the exit-code of
    all searches combined, rather than just the exit-code of the
    last search to be run.
  * this also fixes the "double-vision" symption reported in bug#354644
    i'll close this bug for now, but may reopen it if it turns out
    that an --exact-match option would be useful.  (Closes: #354644)
  * added '--ignore-case','-i' option for package and filename
    searches ('-l','-S', and default command).  (Closes: #350818)
  * used ionice in /etc/cron.daily/dlocate (Closes: #453952)

 -- Craig Sanders <cas@taz.net.au>  Mon, 03 Dec 2007 07:43:37 +1100

dlocate (0.93) unstable; urgency=low

  * minor fix to -lsbin.  now excludes all non-files, rather than
    just directories.  also follows symlinks.
  * added '--' option to make it possible to search for partial
    files like -conf, -ls, and other '-*' that happen to match
    dlocate options.  did i already mention that dlocate's
    arg processing really sucks and needs a rewrite?
  * added Makefile rules ("make test") to automate testing of dlocate
    output, and to remind me to update the version banner in dlocate.
  * check for unknown options (Closes: #220351, #307371)
    (NOTE: breaks backwards-compatibility for anyone who relies on
    the old behaviour!)
  * only print header for 'dlocate -l' if there are any matching
    packages found. (Closes: #447140)
  * fixed dlocate's stderr redirection so that 'make test' works.
    (possible bug in bash - '>/dev/stderr' treated differently to '>&2')

 -- Craig Sanders <cas@taz.net.au>  Thu, 29 Nov 2007 18:27:22 +1100

dlocate (0.92) unstable; urgency=low

  * passed '--' to egrep so you can search for partial package names
    like '-utils', '-tools', etc.
  * fixed a bug in -md5check which prevented it from checking some
    packages with spaces in the filenames.
  * used '-r' ("--no-run-if-empty") everywhere with xargs.
    (Closes: #452746)
  * also changed numerous tests of [ -e $PKG.* ] to [ -s $PKG.* ]
    to test for 'exists and not empty' rather than just 'exists'.
  * removed output of double-quotes (0x22) surrounding $PKG to
    make stderr output more parser-friendly.
  * added simple script to test dlocate output prior to uploading
    a new version (script is in source package only)

 -- Craig Sanders <cas@taz.net.au>  Mon, 26 Nov 2007 19:26:50 +1100

dlocate (0.91) unstable; urgency=low

  * corrected minor mistake in dpkg-remove man page.

 -- Craig Sanders <cas@taz.net.au>  Thu, 22 Nov 2007 21:20:26 +1100

dlocate (0.9) unstable; urgency=low

  * cron.daily doesn't need to have COLUMNS=200.  this was fixed in dpkg
    years ago.
  * redirect error output from -lsbin to /dev/null.  (Closes: #452297)
  * made -lsbin output consistent with other -ls options
  * added dpkg-hold, dpkg-unhold, dpkg-remove, and dpkg-purge to /usr/sbin.
    simple command line tools that i've been using for years to
    flag/unflag a package for hold, or flag it to be removed or purged.
    They *ONLY* change the status of the package which will be noticed
    the next time dpkg, dselect, or apt-get is run.
  * wrote simple man pages for dpkg-{hold,unhold,remove,purge}
  * really fixed bad handling of first arg this time (Closes: #380081)
  * updated date in dlocate.1 man page

 -- Craig Sanders <cas@taz.net.au>  Thu, 22 Nov 2007 20:48:19 +1100

dlocate (0.8) unstable; urgency=low

  * call md5sum -c with '-' rather than /dev/stdin (Closes: #413804)
  * can not reproduce 61790, and nobody else has ever reported anything
    similar.  probably some problem with cron on Lazarus' system at the
    time (Apr 2000).  (Closes: #61790)
  * improved error messages from update-dlocatedb.  also modified
    script to comply with 'use strict;'.  (Closes: #361196)

 -- Craig Sanders <cas@taz.net.au>  Wed, 21 Nov 2007 10:29:20 +1100

dlocate (0.7) unstable; urgency=low

  * fixed small bug in arg handling
  * added more commentary and examples in the dlocate man page to resolve
    various searching issues (both locate and egrep are different to dpkg's
    shell-style pattern matching).
    Also added 'SEE ALSO locate(1)' to the man page.
    (Closes: #441183, #208425, #447141)
  * man page for dpkg is in section 1.  (Closes: #354648)
  * added -lsman option to list full path/filename of man pages.
    (Closes: #361125, #289351)
  * added -lsbin option to list full path/filename of binaries
    (Closes: #441109)

 -- Craig Sanders <cas@taz.net.au>  Wed, 21 Nov 2007 01:53:17 +1100

dlocate (0.6) unstable; urgency=low

  * Applied patch from Andreas Metzler: GNU locate has been split off to
    a separate package. Adapt dlocate to work both with the new and the
    old setup.  (Closes: #451750)
  * always pass '--' to locate.  (Closes: #360824, #360824)
  * can not reproduce bug 65974.  my guess is that update-dlocatedb hadn't
    been run.  (Closes: #65974)
  * error messages now go to stderr (Closes: 375271)
  * first option is no longer a special case (Closes: #380081)
  * 'LINES=40' isn't needed.  removed.  (Closes: #224947)
  * shameful trailing blanks removed from -l output (Closes: #261733)
  * 'dlocate -l' no longer outputs one header for each package name.
    (Closes: #268288, #319251, #354285)
  * added '/' to start of dlocate -man regexp.  (Closes: #290562)
  * dlocate now has --version and -V options (Closes: #223698)
  * dlocate really needs a rewrite.  it started as a Q&D hack and grew
    beyond that.  the remaining bugs need a rewrite to fix.
    expect a rewrite from scratch soon.

 -- Craig Sanders <cas@taz.net.au>  Tue, 20 Nov 2007 23:12:18 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dlocate
 Architecture: all
-Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), ${perl:Depends}
+Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), locate | findutils (<< 4.2.31-2), ${perl:Depends}
 Description: fast alternative to dpkg -L and dpkg -S 
  Uses GNU locate to greatly speed up finding out which package a file
  belongs to (i.e. a very fast dpkg -S). Many other uses, including

=== debian/rules ===
--- 
+++ 
@@ -4,30 +4,16 @@
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
-
 build: build-stamp
 build-stamp:
 	dh_testdir
-
-	
-	# Add here commands to compile the package.
-	#$(MAKE) 
-
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
-
-	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-
 	dh_clean
 
 install: install-stamp
@@ -36,10 +22,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-
-	# Add here commands to install the package into debian/tmp.
 	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
-
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -50,7 +33,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
+#	dh_installdebconf
 	dh_installdocs
 #	dh_installexamples
 #	dh_installmenu

## dlocate 0.96.1

=== debian/changelog ===
dlocate (0.96.1) unstable; urgency=low

  * version 0.95 introduced a dependancy on awk, which is an optional
    package. the simple awk script has only been tested on my system
    with gawk, but it doesn't do anything gawkish so should work with
    mawk or original-awk. fixed Depends line.

 -- Craig Sanders <cas@taz.net.au>  Fri, 27 Jun 2008 19:58:57 +1000

dlocate (0.96) unstable; urgency=low

  * accidentally deleted cron.daily rather than updating it.  restored it.
    (Closes: 488222)
  * updated postinst to generate /var/lib/dlocate/dpkg.list with tab-
    separated fields, the same way that /etc/cron.daily/dlocate does.
    also removed COLUMNS=200 because the postinst doesn't need it any
    more than the cron.daily does.
  * updated man page for update-dlocatedb to note additional author

 -- Craig Sanders <cas@taz.net.au>  Fri, 27 Jun 2008 18:46:38 +1000

dlocate (0.95) unstable; urgency=low

  * changed cron.daily to not use ionice if kernel version <2.6.13
  * redirected stderr from ionice to >/dev/null to avoid error
    messages if running under vserver or other environments without
    CFQ scheduling (Closes: #456292)
  * added Pawel Chmielowski <prefiks@prefiks.org> patch to
    update-dlocatedb which re-uses any old data from the existing
    dlocatedb.  (Closes: #457572)
  * changed separator character when building the search regexp so
    that we don't end up grepping for everything.  (Closes: #466662)
  * while/read loops in bash are abysmally slow.  replaced that loop
    in 'dlocate -l' section with an awk script.  vast improvement in
    speed.  
    Note: this required changing the field separator in $DPKGLIST from
    space to tab, so anyone who parses that file directly (nobody, i
    think) may need to modify their scripts.
    (Closes: #487471)
  * finally close some bugs that were actually closed ages ago in 
    NMUs.  (Closes: #314276, #337711, #83196, #54073, #63902, #84018, #67650, #78621, #132930, #91785, #100694, #101426, #129251,  #132931, #129186, #76149, #43145, #43146, #45057, #42314)

 -- Craig Sanders <cas@taz.net.au>  Thu, 26 Jun 2008 20:53:30 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dlocate
 Architecture: all
-Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), locate | findutils (<< 4.2.31-2), ${perl:Depends}
+Depends: awk, dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), locate | findutils (<< 4.2.31-2), ${perl:Depends}
 Description: fast alternative to dpkg -L and dpkg -S 
  Uses GNU locate to greatly speed up finding out which package a file
  belongs to (i.e. a very fast dpkg -S). Many other uses, including

## dlocate 1.02

=== debian/changelog ===
dlocate (1.02) unstable; urgency=low

  * fixed example in dlocate.1 man page again (Closes: #466662)
  * added '-k', and '-K' commands to list kernels and related packages
  * added optional support for gzip compression of /var/lib/dlocate/dlocatedb.txt
  * added support output filters (--package-only, --filename-only) (Closes: #531641)

 -- Craig Sanders <cas@taz.net.au>  Wed, 03 Jun 2009 11:24:02 +1000

dlocate (1.01) unstable; urgency=low

  * added support for diversions (Closes: #304045)
  * fixed copy/paste error for -P (now correctly passes -P to grep rather than -E)
  * really moved the four dpkg-* man pages to section 8

 -- Craig Sanders <cas@taz.net.au>  Mon, 01 Jun 2009 09:56:54 +1000

dlocate (1.0) unstable; urgency=low

  * no longer use frcode and locate, see discussion in 494673.  removed
    dependency on locate package. (Closes: #505997, #494651, #494673)
  * added support for several GNU grep options, -E, -F, -G, -P, and -w
  * the extra grep options obsolete the request for shell glob patterns (Closes: #49922)
  * checked for empty $PKGS (Closes: #523501)
  * fixed '-man' option, so that it doesn't break on man directories with locales
  * tired of people filing the same bug because they misunderstand the purpose of '-man'.  added 'sort -u'.  (Closes: #501870)
  * updated and fixed dlocate.1 man page (Closes: #518309)
  * corrected 'dlocate -l' example in man page (Closes: #466662)
  * moved man pages for dpkg-hold, dpkg-unhold, dpkg-purge, dpkg-remove to section 8 (Closes: #512446)
  * added --verbose option to aid in debugging dlocate
  * fixed bug that broke support for multiple packages in most commands
  * fixed '-s' command so that it only calls grep-dctrl once if there are multiple package names
  * applied following 6 lintian fixes from era eriksson: (Closes: #513470)
  * debian/control: revert dependency on awk; as per Lintian error,
    it is in practice essential, and should not be declared
  * debian/copyright: add copyright year; disambiguate license as GPL v2
    (fix lintian warning)
  * debian/rules: move binary-arch commands to binary-indep; do not ignore
    errors from "make clean" (fix lintian warnings)
  * debian/changelog: fix typo in 0.96.1 s/dancy/dency/ (fix lintian warning)
  * debian/postinst: don't use explicit path for /usr/sbin (fix lintian warning)
  * debian/postrm: add -e flag (fix lintian warning)

 -- Craig Sanders <cas@taz.net.au>  Sat, 30 May 2009 16:53:51 +1000

dlocate (0.96.2) unstable; urgency=low

  * Added bash completion rules.  only one trivial change to the
    patch provided by Danilo Piazzalunga (Closes: #223718)

 -- Craig Sanders <cas@taz.net.au>  Fri, 27 Jun 2008 20:31:44 +1000

## dlocate 1.02%2Bnmu3

=== debian/changelog ===
dlocate (1.02+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix handling of multiple arguments for several commands (Closes: #563881).
  * Fix dlocate return codes for several commands on exit (Closes: #564293).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 29 Dec 2012 14:32:54 +0100

dlocate (1.02+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing "--" when invoking grep command (Closes: #587179).
  * Fix bash completion for package names in dlocate (Closes: # 658669).
  * Fix incorrect exit code 0 on failed search (Closes: #689647).
  * Fix parameter passing to dlocate_option_error() in dlocate (Closes: # 690758).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 28 Dec 2012 15:42:16 +0100

dlocate (1.02+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix several mistakes in manpages (Closes: #586483, #692896, #696479).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 21 Dec 2012 11:47:08 +0100

## dlocate 1.02+nmu3

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	install -m 755 dpkg-unhold $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-purge $(DESTDIR)/usr/sbin/
+	install -m 644 dlocate-completion $(DESTDIR)/etc/bash_completion.d/
 	#install -m 755 update-dpkg-list $(DESTDIR)/usr/sbin/
 
 update-test:

=== debian/control ===
Source: dlocate
Section: utils
Priority: optional
Maintainer: Craig Sanders <cas@taz.net.au>
Standards-Version: 3.7.2.1
Build-Depends: debhelper (>= 5)

Package: dlocate
Architecture: all
Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), ${perl:Depends}
Description: fast alternative to dpkg -L and dpkg -S 
 Uses GNU grep and text dumps of dpkg's data to greatly speed up finding out which
 package a file belongs to (i.e. a very fast dpkg -S). Many other uses,
 including options to view all files in a package, calculate disk space
 used, view and check md5sums, list man pages, etc.

=== debian/rules ===
--- 
+++ 
@@ -13,24 +13,21 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 install: install-stamp
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	#dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
 	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -41,7 +38,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_installinit
+	dh_installinit -n -r --no-start
 	dh_installcron
 	dh_installman
 #	dh_installinfo
@@ -59,6 +56,10 @@
 	dh_md5sums
 	dh_builddeb
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by definition (arch is indep).
+
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## dlocate 1.07

=== debian/changelog ===
dlocate (1.07) unstable; urgency=medium

  * updated VERSION_BANNER
  * (Closes: #532061,  #407412, #532704, #563595, #567080, #614664, #733864, #788661, #567080)

 -- Craig Sanders <cas@taz.net.au>  Tue, 21 Jun 2016 13:33:28 +1000

dlocate (1.06) unstable; urgency=medium

  * added util-linux to dependencies

 -- Craig Sanders <cas@taz.net.au>  Tue, 21 Jun 2016 11:48:29 +1000

dlocate (1.05) unstable; urgency=low

  * completely rewrote option parsing, now uses getopt from util-linux
    long options now use --.  Backwards-compatibility is maintained
    by using getopt's `-a` option.  (Closes: #532061)
  * added `-p` and `-f` as short options for `--package-only` and `--filename-only`
  * improved `dlocate -k`, and sorted output.
  * added support for `+` characters in package names for 'dlocate -s'
  * fixed `--lsbin` to use `stat -c '%A %n'` rather than `ls -lLd`
  * added support for virtual packages in `-s` (Closes: #407412)
  * warnings and errors now go to stderr (Closes: #532704)
  * added note about update-dlocatedb to man page (Closes: #563595, #567080)
  * `dlocate -l` shows more of the package names (Closes: #614664)
  * added full path to error messages mentioning the .list file (Closes: #733864)
  * added --lsdir option to list directories (Closes: #788661)
  * update-dlocatedb now updates `dlocate -l` info (Closes: #567080)  
  * now being maintained on github https://github.com/craig-sanders/dlocate
    forks and pull requests welcome.

 -- Craig Sanders <cas@taz.net.au>  Mon, 20 Jun 2016 20:01:14 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dlocate
 Architecture: all
-Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), ${perl:Depends}
+Depends: dctrl-tools | grep-dctrl (>= 0.11), util-linux, dpkg (>= 1.8.0), ${perl:Depends}
 Description: fast alternative to dpkg -L and dpkg -S 
  Uses GNU grep and text dumps of dpkg's data to greatly speed up finding out which
  package a file belongs to (i.e. a very fast dpkg -S). Many other uses,

## dlocate 1.07+nmu1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 install:
 	install -m 755 dlocate $(DESTDIR)/usr/bin/
 	install -m 755 update-dlocatedb $(DESTDIR)/usr/sbin/
+	install -m 755 updatedb $(DESTDIR)/usr/share/dlocate/
 	install -m 755 dpkg-hold $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-unhold $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/

=== debian/changelog ===
dlocate (1.07+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip cronjob if dlocate is no longer installed.  (Closes: #829473)
  * Add missing build-{arch,indep} targets.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Jan 2017 09:59:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dlocate
 Architecture: all
-Depends: dctrl-tools | grep-dctrl (>= 0.11), util-linux, dpkg (>= 1.8.0), ${perl:Depends}
+Depends: dctrl-tools | grep-dctrl (>= 0.11), util-linux, dpkg (>= 1.8.0), ${perl:Depends}, ${misc:Depends}
 Description: fast alternative to dpkg -L and dpkg -S 
  Uses GNU grep and text dumps of dpkg's data to greatly speed up finding out which
  package a file belongs to (i.e. a very fast dpkg -S). Many other uses,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
 
+build-arch: build-stamp
+build-indep: build-stamp
 build: build-stamp
 build-stamp:
 	dh_testdir

## dlocate 1.10

=== debian/changelog ===
dlocate (1.10) unstable; urgency=medium

  * Edited cron.daily script to stop piuparts complaining
  * Use grep-available instead of grep-dctrl (only need to read available file, not status)
  * Closes: #1003631 Removed unnecessary call to xargs apt-cache show

 -- Craig Sanders <cas@taz.net.au>  Sat, 15 Jan 2022 15:48:48 +1100

dlocate (1.09) unstable; urgency=medium

  * forgot to update debian/compat. fixed.  Closes: #965492

 -- Craig Sanders <cas@taz.net.au>  Tue, 28 Dec 2021 02:44:11 +1100

dlocate (1.08) unstable; urgency=medium

  * Closes: #601394 For --md5check: if any files have been diverted, list them with 'dpkg-divert --list' and perform an md5sum check on the diverted files.
  * Closes: #829473 Cron.daily only runs /usr/sbin/update-dlocatedb if it exists and is executable
  * Closes: #875773 Better multi-arch support for .list, .conffiles, and .md5sums files
  * Closes: #903773 Can not reproduce
  * Closes: #912850 Removed completions, so bash-completions package can take them over
  * Closes: #867735 dlocate no longer handles its own completions file
  * Closes: #919122 Removed some extra blank lines from error msg output
  * Closes: #965492 updated debhelper compat level to >= 13
  * Closes: #843115, #874062 clarified help message for --filenames-only, --package-only
  * Changed dpkg-hold, dpkg-unhold, dpkg-purge to be wrappers around apt-mark
  * Modified updatedb to use output of 'dpkg-divert --list \*'
  * Got tired of forgetting to update the VERSION_BANNER in dlocate, so made it use $(dpkg-query -W -f '${version}' dlocate)
  * Deleted test.output file and check-version-banner.sh, not needed anymore
  * Fixed off-by-one fmt bug in -l output
  * Added -C, --colour option for -l and -s (requires supercat package)
    default colours can be changed by copying spcrc-dpkg-l and spcrc-package
    from /usr/share/dlocate to ~/.spc/ and editing.
  * dlocate now also looks in ./ for supercat colourisation files
  * update-dlocatedb now uses /usr/share/dlocate/update-dpkg-list
  * update-dpkg-list outputs details for all known packages, not just installed packages
  * Minor packaging fixes to keep lintian happy

 -- Craig Sanders <cas@taz.net.au>  Tue, 21 Jul 2020 17:13:32 +1000

=== debian/control ===
Source: dlocate
Section: utils
Priority: optional
Maintainer: Craig Sanders <cas@taz.net.au>
Standards-Version: 3.7.2.1
Build-Depends: debhelper (>= 13)

Package: dlocate
Architecture: all
Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), ${perl:Depends}, ${misc:Depends}
Recommends: supercat
Description: fast alternative to dpkg -L and dpkg -S
 Uses GNU grep and text dumps of dpkg's data to greatly speed up finding
 out which package a file belongs to (i.e. a very fast dpkg -S). Many
 other uses, including options to view all files in a package, calculate
 disk space used, view and check md5sums, list man pages, etc.
Homepage: https://github.com/craig-sanders/dlocate

## dlocate 1.11

=== debian/changelog ===
dlocate (1.11) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1020698)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 09:11:35 -0300

## dlocate 1.12

=== Makefile ===
#!/usr/bin/make -f

all:

clean:
	rm -rf debian/dlocate debian/dlocate.substvars debian/files build-stamp install-stamp new.output

install:
	install -m 755 dlocate $(DESTDIR)/usr/bin/
	install -m 755 update-dlocatedb $(DESTDIR)/usr/sbin/
	install -m 755 updatedb $(DESTDIR)/usr/share/dlocate/
	install -m 755 update-dpkg-list $(DESTDIR)/usr/share/dlocate/
	install -m 755 spcrc-* $(DESTDIR)/usr/share/dlocate/
	install -m 755 dpkg-hold $(DESTDIR)/usr/sbin/
	install -m 755 dpkg-unhold $(DESTDIR)/usr/sbin/
	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/
	install -m 755 dpkg-purge $(DESTDIR)/usr/sbin/

update-test:
	./test-dlocate.sh > test.output 2>&1

test:
	./test-dlocate.sh > new.output 2>&1
	diff -u test.output new.output

=== debian/changelog ===
dlocate (1.12) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. Closes: #1007667

 -- Bastian Germann <bage@debian.org>  Thu, 24 Nov 2022 00:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dlocate
 Section: utils
 Priority: optional
-Maintainer: Craig Sanders <cas@taz.net.au>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.7.2.1
 Build-Depends: debhelper (>= 13)

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 build-arch: build-stamp
 build-indep: build-stamp
+
 build: build-stamp
 build-stamp:
 	dh_testdir
@@ -45,7 +46,7 @@
 	dh_installman
 #	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs 
+	dh_installchangelogs
 #	dh_link
 #	dh_strip
 	dh_compress
@@ -62,7 +63,7 @@
 binary-arch: build install
 # We have nothing to do by definition (arch is indep).
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch

## dlocate 1.13

=== debian/changelog ===
dlocate (1.13) unstable; urgency=medium

  * QA upload.
  * Add debian/gbp.conf for pristine-tar and branch-names.
  * Remove .gitignore.
  * Switch to debhelper-compat (= 13).
  * Fix permissions of /usr/share/dlocate/spcrc-*.
  * Add Vcs-Git/Vcs-Browser.
  * Switch debian/rules to dh (with disabled dh_auto_test, which did not
    work before, too).
  * Update to Standards-Version 4.7.0.
  * debian/control: Move Homepage field to source package.
  * Run wrap-and-sort.
  * Remove empty directory /etc/bash_completion.d.
  * Add Rules-Requires-Root: no.
  * Delete some trailing whitespaces from debian/changelog.
  * Make debian/copyright machine-readable.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 14 Apr 2024 17:29:49 +0200

## dlocate 1.14

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	install -m 755 update-dlocatedb $(DESTDIR)/usr/sbin/
 	install -m 755 updatedb $(DESTDIR)/usr/share/dlocate/
 	install -m 755 update-dpkg-list $(DESTDIR)/usr/share/dlocate/
-	install -m 755 spcrc-* $(DESTDIR)/usr/share/dlocate/
+	install -m 644 spcrc-* $(DESTDIR)/usr/share/dlocate/
 	install -m 755 dpkg-hold $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-unhold $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/

=== debian/changelog ===
dlocate (1.14) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Jacqueline Agatha Agnes Ferreira <jacquelineagatha@alunos.utfpr.edu.br>  Tue, 28 May 2024 00:34:04 -0300

=== debian/control ===
Source: dlocate
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: https://github.com/craig-sanders/dlocate
Vcs-Git: https://salsa.debian.org/debian/dlocate.git
Vcs-Browser: https://salsa.debian.org/debian/dlocate

Package: dlocate
Architecture: all
Depends: dctrl-tools | grep-dctrl (>= 0.11),
         dpkg (>= 1.8.0),
         ${misc:Depends},
         ${perl:Depends}
Recommends: supercat
Description: fast alternative to dpkg -L and dpkg -S
 Uses GNU grep and text dumps of dpkg's data to greatly speed up finding
 out which package a file belongs to (i.e. a very fast dpkg -S). Many
 other uses, including options to view all files in a package, calculate
 disk space used, view and check md5sums, list man pages, etc.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
#	disable test (seems to have never worked)

=== debian/tests/control ===
Test-Command: dpkg-hold coreutils
Restrictions: needs-root, superficial

Test-Command: dpkg-hold coreutils && dpkg-unhold coreutils && ! apt-mark showhold | grep coreutils
Restrictions: needs-root, superficial

## dlocate 1.15

=== debian/changelog ===
dlocate (1.15) unstable; urgency=medium

  * Take over maintainership as part of the Dpkg Developers umbrella.
    Closes: #1020698
  * Packaging:
    - Remove gbp.conf.
    - Remove salsa-ci.yml.
    - Run wrap-and-sort -ast.
    - Remove redundant source/options.
    - Remove obsolete grep-dctrl alternative dependency.
    - Remove ancient versioned dependency on dpkg.
    - Remove ineffective hardening=+all.
    - Namespace debhelper fragment files with package name.
    - Remove exec bits from debian/cron.daily.
    - Replace maintscript comment boilerplate with refs to manual pages.
    - Remove redundant Upstream-Name from copyright file.

 -- Guillem Jover <guillem@debian.org>  Thu, 17 Oct 2024 07:10:23 +0200

## dlocate 1.16

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,30 @@
 #!/usr/bin/make -f
 
-all:
+MANS = \
+	dlocate.1 \
+	dpkg-hold.8 \
+	dpkg-purge.8 \
+	dpkg-remove.8 \
+	dpkg-unhold.8 \
+	update-dlocatedb.8 \
+	# EOL
+
+PACKAGE_VERSION = $(shell dpkg-parsechangelog -SVersion)
+SOURCE_DATE_EPOCH = $(shell dpkg-parsechangelog -STimestamp)
+PACKAGE_RELEASE_DATE = $(shell date --date="@$(SOURCE_DATE_EPOCH)" -I)
+
+POD2MAN = pod2man
+POD2MAN_OPTS = \
+	--utf \
+	--center='dpkg suite' \
+	--release='$(PACKAGE_VERSION)' \
+	--date='$(PACKAGE_RELEASE_DATE)' \
+	# EOL
+
+all: man
 
 clean:
-	rm -rf debian/dlocate debian/dlocate.substvars debian/files build-stamp install-stamp new.output
+	$(RM) $(MANS)
 
 install:
 	install -m 755 dlocate $(DESTDIR)/usr/bin/
@@ -16,6 +37,15 @@
 	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-purge $(DESTDIR)/usr/sbin/
 
+%.1 %.8: %.pod
+	filename='$@'; \
+	$(POD2MAN) $(POD2MAN_OPTS) \
+		--name="$$(basename $${filename%.*})" \
+		--section="$${filename##*.}" \
+		$< >$@
+
+man: $(MANS)
+
 update-test:
 	./test-dlocate.sh > test.output 2>&1

=== debian/changelog ===
dlocate (1.16) unstable; urgency=medium

  * update-dlocatedb: Remove ancient compatibility code for Linux < 2.6.13.
  * Improve and simplify programs help output.
  * update-dlocatedb: Fix error message on unknown option.
  * Do not exit with failure on help options.
  * dlocate: Add gnumach support to -k option for GNU/Hurd.
  * Use US English spelling for color.
  * Remove redundant file entries filter from stat output.
    Based on a patch by Axel Beckert <abe@debian.org>. Closes: #903773
  * Use «command -v» instead of absolute paths and «test -x».
  * Deprecate dpkg-hold, dpkg-purge, dpkg-remove and dpkg-unhold commands.
  * Documentation:
    - man: Remove AUTHOR sections.
    - man: Rewrite manual pages in POD. Closes: #970892
  * Code internals:
    - Remove emacs local variable trailers.
    - updatedb: Enable Perl warnings.
    - Use «funcname()» instead of «function funcname()» in shell scripts.
    - Remove redundant trailing ; after code blocks in Perl scripts.
    - Fix coding style.
    - Refactor usage_error() out of usage().
    - dlocate: Rename linux_pkgs variable to kpkgs_re.
    - Use three-argument form for Perl open().
    - Use variables instead of barewords for filehandles and dirhandles.
    - Remove unnecessary quoting for hash key accesses.
    - Use «while» instead of «foreach» with readline().
    - update-dpkg-list: Add trailing comma for last element in list.
    - update-dpkg-list: Add return to parse_pkg().
  * Packaging:
    - Remove obsolete code to remove old databases.
    - Mark /etc/bash_completion.d/dlocate-completion as remove-on-upgrade.
      Closes: #1029647

 -- Guillem Jover <guillem@debian.org>  Fri, 22 Nov 2024 10:57:04 +0100

## dlocate 1.17

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	install -m 755 dpkg-unhold $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/
 	install -m 755 dpkg-purge $(DESTDIR)/usr/sbin/
+	install -m 644 completion/bash/* $(DESTDIR)/usr/share/bash-completion/completions/
 
 %.1 %.8: %.pod
 	filename='$@'; \

=== debian/changelog ===
dlocate (1.17) unstable; urgency=medium

  * updatedb: Fix Perl warnings due to unmatched diversion lines in db.
    Closes: #1088148
  * Clarify command arguments in --help output and manual page.
  * Clarify output order for -L option. Closes: #1061629
  * Add bash completion. Closes: #921520
  * Packaging:
    - Wrap and sort -ast debian/tests/control.
    - Allow stderr output for autopkgtests due to new deprecation warnings.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Nov 2024 01:14:28 +0100

=== debian/control ===
Source: dlocate
Section: utils
Priority: optional
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders:
 Guillem Jover <guillem@debian.org>,
Vcs-Browser: https://git.dpkg.org/git/dpkg/dlocate.git
Vcs-Git: https://git.dpkg.org/cgit/dpkg/dlocate.git
Homepage: https://wiki.debian.org/Teams/Dpkg
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),

Package: dlocate
Architecture: all
Depends:
 dctrl-tools,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 supercat,
Description: fast alternative to dpkg -L and dpkg -S
 Uses GNU grep and text dumps of dpkg's data to greatly speed up finding
 out which package a file belongs to (i.e. a very fast dpkg -S). Many
 other uses, including options to view all files in a package, calculate
 disk space used, view and check md5sums, list man pages, etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
#	disable test (seems to have never worked)

=== debian/tests/control ===
Test-Command:
 dpkg-hold coreutils
Restrictions:
 allow-stderr
 needs-root
 superficial

Test-Command:
 dpkg-hold coreutils &&
 dpkg-unhold coreutils &&
 ! apt-mark showhold | grep coreutils
Restrictions:
 allow-stderr
 needs-root
 superficial

## dlocate 1.18

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 MANS = \
 	dlocate.1 \
-	dpkg-hold.8 \
-	dpkg-purge.8 \
-	dpkg-remove.8 \
-	dpkg-unhold.8 \
 	update-dlocatedb.8 \
 	# EOL
 
@@ -32,10 +28,6 @@
 	install -m 755 updatedb $(DESTDIR)/usr/share/dlocate/
 	install -m 755 update-dpkg-list $(DESTDIR)/usr/share/dlocate/
 	install -m 644 spcrc-* $(DESTDIR)/usr/share/dlocate/
-	install -m 755 dpkg-hold $(DESTDIR)/usr/sbin/
-	install -m 755 dpkg-unhold $(DESTDIR)/usr/sbin/
-	install -m 755 dpkg-remove $(DESTDIR)/usr/sbin/
-	install -m 755 dpkg-purge $(DESTDIR)/usr/sbin/
 	install -m 644 completion/bash/* $(DESTDIR)/usr/share/bash-completion/completions/
 
 %.1 %.8: %.pod

=== debian/changelog ===
dlocate (1.18) unstable; urgency=medium

  * Remove deprecated dpkg-hold, dpkg-unhold, dpkg-purge, dpkg-remove commands.
  * Switch from grep-available to «dpkg --print-avail». Closes: #1116965
  * Packaging:
    - Remove «Rules-Requires-Root: no», which is the current default.
    - Remove «Priority: optional», which is the current default.
    - Swap Vcs-Browser and Vcs-Git URLs.
    - Use balanced quotes in postinst error message.
    - Bump Standards-Version to 4.7.2 (no changes needed).
    - Remove no longer needed remove-on-upgrade entry from conffiles.

 -- Guillem Jover <guillem@debian.org>  Thu, 02 Oct 2025 04:44:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: dlocate
 Section: utils
-Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders:
  Guillem Jover <guillem@debian.org>,
-Vcs-Browser: https://git.dpkg.org/git/dpkg/dlocate.git
-Vcs-Git: https://git.dpkg.org/cgit/dpkg/dlocate.git
+Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dlocate.git
+Vcs-Git: https://git.dpkg.org/git/dpkg/dlocate.git
 Homepage: https://wiki.debian.org/Teams/Dpkg
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
